org.bdgenomics.adam.sql

# Feature

#### class Feature extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Feature
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Feature(featureId: Option[String], name: Option[String], source: Option[String], featureType: Option[String], contigName: Option[String], start: Option[Long], end: Option[Long], strand: Option[String], phase: Option[Int], frame: Option[Int], score: Option[Double], geneId: Option[String], transcriptId: Option[String], exonId: Option[String], aliases: Seq[String], parentIds: Seq[String], target: Option[String], gap: Option[String], derivesFrom: Option[String], notes: Seq[String], dbxrefs: Seq[Dbxref], ontologyTerms: Seq[OntologyTerm], circular: Option[Boolean], attributes: Map[String, String])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val aliases: Seq[String]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### val attributes: Map[String, String]

9. #### def canEqual(that: Any): Boolean

   Definition Classes
     Feature → Equals

10. #### val circular: Option[Boolean]

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### val contigName: Option[String]

13. #### val dbxrefs: Seq[Dbxref]

14. #### val derivesFrom: Option[String]

15. #### val end: Option[Long]

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### val exonId: Option[String]

19. #### val featureId: Option[String]

20. #### val featureType: Option[String]

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### val frame: Option[Int]

23. #### val gap: Option[String]

24. #### val geneId: Option[String]

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### val name: Option[String]

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### val notes: Seq[String]

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### val ontologyTerms: Seq[OntologyTerm]

34. #### val parentIds: Seq[String]

35. #### val phase: Option[Int]

36. #### def productArity: Int

    Definition Classes
      Feature → Product

37. #### def productElement(i: Int): Any

    Definition Classes
      Feature → Product

38. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

39. #### def productPrefix: String

    Definition Classes
      Product

40. #### val score: Option[Double]

41. #### val source: Option[String]

42. #### val start: Option[Long]

43. #### val strand: Option[String]

44. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

45. #### val target: Option[String]

46. #### def toAvro: formats.avro.Feature

47. #### def toString(): String

    Definition Classes
      AnyRef → Any

48. #### val transcriptId: Option[String]

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped